@import url("https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Inter:wght@300;400;700&family=Open+Sans:ital,wght@0,400;0,600;0,700;1,600&display=swap");

:root {
    --main-font: "Inter", sans-serif;
    --bg-body: rgba(245, 246, 248, 1);
    --bg-card: rgba(255, 255, 255, 1);
    --bg-primary: rgba(18, 45, 90, 1);
    --bg-btn-primary: #f8560d;
    --h1: 64px;
    --h2: 42px;
    --fw-h1: 700;
    --fw-h2: 600;
}
html {
    -webkit-tap-highlight-color: transparent;
}

a {
    text-decoration: none;
}

.btn-primary-custom {
    background-color: var(--bg-btn-primary);
    color: #ffffff;
    border: none;
    border-radius: 100px;
    display: inline-flex;
    height: 48px;
    padding: 6px 16px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    flex-shrink: 0;
}

.btn-secondary-custom {
    background-color: #f5f6f8;
    color: #b1a3a3;
    border: none;
    border-radius: 100px;
    display: inline-flex;
    height: 48px;
    padding: 6px 16px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    flex-shrink: 0;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: var(--main-font);
    font-size: 16px;
}
/* matikan scroll  */
::-webkit-scrollbar {
    display: none;
}
.custom-colom {
    background-color: #fff;
    padding: 20px;
    border-radius: 15px;
}

body {
    background-color: var(--bg-body);
}
.navbar {
    position: absolute;
    top: 5%;
    left: 5%;
    right: 5%;
    margin-left: auto;
    margin-right: auto;
    width: 60%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 99;
    padding: 10px;
}
ul li a {
    text-decoration: none;
    font-size: 14px;
    color: #000000;
}

.list-nav {
    display: flex;
    gap: 20px;
    justify-content: center;
    align-items: center;
    list-style: none;
    margin: 0; /* Hapus margin default pada elemen ul */
    padding: 0; /* Hapus padding default pada elemen ul */
}

.btn-navbar {
    display: flex;
    justify-content: center;
    align-items: center;
}

#btn-navbar {
    display: flex;
    justify-content: center;
    align-items: center;
}

/* nav {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 5px;
  width: 100%;
} */

.navigation a {
    justify-content: center;
    text-align: center;
    text-decoration: none;
    font-family: var(--main-font);
    color: #000000;
    font-weight: 500;
    font-size: 14px;
    padding-right: 5px;
}

.button-nav {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    text-decoration: none;
}

.btn-masuk,
.btn-masuk a {
    display: flex; /* menambahkan properti display: flex; */
    justify-content: center;
    align-items: center;
    border-radius: 100px;
    background-color: var(--bg-primary);
    color: #ffffff;
    border: none;
    font-size: 14px;
    width: 74px;
    height: 34px;
    text-decoration: none;
}

.btn-masuk:hover {
    background-color: #ffffff;
    color: var(--bg-primary);
    border: 1px solid var(--bg-primary);
}

.btn-daftar {
    color: rgba(20, 20, 20, 0.6);
    text-decoration: none;
    font-size: 14px;
}

.hero-deskripsi {
    position: absolute;
    z-index: 99;
    top: 50%;
    left: 10%;
    right: 10%;
    display: flex;
    justify-content: space-between;
}

.hero-deskripsi .row {
    display: flex;
    justify-content: space-between;
}

.hero-title {
    font-size: var(--h1);
    font-weight: var(--fw-h1);
    color: #ffffff;
}

.hero-subtitle {
    font-size: 18px;
    font-weight: 500;
    line-height: 30px;
    width: 326px;
    padding: 10px;
    padding-top: 70px;
    color: #ffffff;
}

.teknologi {
    background-color: rgba(248, 86, 13, 1);
    padding: 10px;
    border-radius: 100px;
    font-size: 50px;
    display: inline-block;
    transform: rotate(-4.65deg);
}

.konsultasikan {
    background-color: white;
    color: #122d5a;
    padding: 10px;
    border-radius: 100px;
    font-size: 37px;
    display: inline-block;
    transform: rotate(-4.65deg);
}

.p-hero {
    align-items: center;
    font-size: 18px;
    font-weight: 500;
    line-height: 30px;
    width: 326px;
    padding: 10px;
}

.tentang-box {
    position: relative;
    background: #fff;
    border-radius: 20px;
}

.tentang-sub {
    display: flex;
    justify-content: center;
    align-items: center;
}

.tentang-subtitle {
    font-size: 42px;
    font-weight: 600;
    line-height: 56px;
    width: 80%;
    text-transform: capitalize;
}

.video-trial {
    display: flex;
    position: relative;
}
.text-trial {
    position: absolute;
    top: 80%;
    left: 0;
    right: 0;
    color: #ffffff;
    z-index: 99;
    width: 100%; /* Lebar elemen 100% agar berada di antara batas kiri dan kanan */
    display: flex;
    align-items: center;
    justify-content: space-between;
    /* Sesuaikan padding sesuai kebutuhan */
    box-sizing: border-box; /* Pastikan padding tidak mempengaruhi lebar total */
}
.video-premium {
    display: flex;
    position: relative;
}

.btn-hero {
    background-color: #fff;
    border: none;
    border-radius: 100px;
    display: inline-flex;
    height: 48px;
    padding: 6px 16px;
    justify-content: center;
    align-items: center;
}

.text-premium {
    position: absolute;
    top: 80%;
    left: 0;
    right: 0;
    color: #ffffff;
    z-index: 99;
    width: 100%; /* Lebar elemen 100% agar berada di antara batas kiri dan kanan */
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 15px; /* Sesuaikan padding sesuai kebutuhan */
    box-sizing: border-box; /* Pastikan padding tidak mempengaruhi lebar total */
}

.playbutton {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 5;
}

.col-card-a {
    border-radius: 20px;
    background-color: #122d5a;
    color: #ffffff;
}

.col-card {
    border-radius: 20px;
    background-color: #fff;
    color: black;
}

.box-icon-a {
    position: relative;
    width: 57px;
    height: 57px;
    border-radius: 100px;
    background-color: #ffffff1a;
}

.box-icon {
    position: relative;
    width: 57px;
    height: 57px;
    border-radius: 100px;
    background-color: #f8560d1a;
}

.box-icon-a img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 24px; /* Sesuaikan ukuran ikon dengan kebutuhan */
    color: #fff; /* Sesuaikan dengan warna ikon yang diinginkan */
}

.box-icon img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 24px; /* Sesuaikan ukuran ikon dengan kebutuhan */
    color: #fff; /* Sesuaikan dengan warna ikon yang diinginkan */
}

.title {
    font-size: 24px;
    font-weight: 600;
    padding-top: 20px;
    padding-bottom: 20px;
}
.deskripsi-a {
    color: #ffffff99;
    font-size: 16px;
}

.deskripsi {
    color: #0f0f0f99;
    font-size: 16px;
}

.box-kelas {
    padding: 70px 41px;
    border-radius: 20px;
}

.tittle-kelas {
    font-size: 20px;
    font-weight: 700;
    line-height: 30px;
}
.deskripsi-kelas {
    font-size: 39px;
    font-weight: 600;
    line-height: 56px;
}

.title-program-menu {
    font-size: 14px;
    color: #0f0f0f99;
}

.konsultasi-card {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}
.konsultasi-box {
    position: relative;
    background: #122d5a;
    border-radius: 20px;
}

.konsultasi-sub {
    display: flex;
    justify-content: center;
    align-items: center;
}

.konsultasi-subtitle {
    font-size: 42px;
    font-weight: 600;
    line-height: 56px;
    width: 80%;
    color: white;
    text-transform: capitalize;
}

.konsultasi-title {
    font-size: 14px;
    color: white;
    text-transform: capitalize;
    background-color: #199f5f;
    border-radius: 100px;
    padding: 10px 20px;
    width: 200px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 50px;
    gap: 10px;
}

.circle-img-left {
    position: absolute;
    top: 2px;
    left: -15%;
}

.circle-img-right {
    position: absolute;
    bottom: 2px;
    right: -15%;
}

.custom-col {
    background-color: #fff;
    padding: 20px;
    border-radius: 20px;
}

.suasana-subtitle {
    font-size: 42px;
    font-weight: 600;
    line-height: 56px;
    width: 100%;
    color: rgb(16, 16, 16);
    text-transform: capitalize;
}

.img-robotik {
    width: 100%;
    height: 567px;
}

.dropdown-menu {
    position: absolute;
    top: 50px;
    font-size: 12px;
}

.btn-toogle {
    display: none;
}

.nama-user {
    color: #122d5a;
    font-size: 13px;
}

@media (max-width: 750px) {
    .hidden {
        display: none;
    }

    .nama-user {
        color: white;
    }
    /* #profileDropdownMenu {
        display: none;
    } */
    .dropdown-menu {
        position: absolute;
        top: 50px;
        font-size: 12px;
        z-index: 999;
    }

    a .dropdown-item {
        color: #122d5a;
    }

    .dropdown-item:hover {
        background-color: #ccc;
    }
    .navbar {
        width: 90%;
    }
    nav {
        position: absolute;
        top: 60px;
        right: 20px;
        z-index: 999;
        background-color: transparent;
    }
    ul {
        display: flex;
        flex-direction: column;
    }
    ul li a {
        color: white;
        border-bottom: 1px solid white;
        font-weight: bold;
    }
    .btn-navbar {
        display: flex;
        flex-direction: column;
        position: absolute;
        top: 140px;
        right: 20px;
        z-index: 999;
        background-color: transparent;
    }

    .btn-navbar a {
        color: #f5f6f8;
        border-bottom: 1px solid #f5f6f8;
        font-weight: bold;
    }
    /* .list-nav {
    display: none;
  } */
    .btn-toogle {
        display: block;
        cursor: pointer;
    }

    .hero-deskripsi {
        padding: 0px;
        top: 38%;
        text-align: center;
        z-index: 80;
    }
    .hero-title {
        font-size: 38px;
    }

    .hero-subtitle {
        font-size: 16px;
    }

    .btn-hero {
        width: 100%;
    }
    .teknologi {
        background-color: rgba(248, 86, 13, 1);
        padding: 5px;
        border-radius: 100px;
        font-size: 30px;
        display: inline-block;
        transform: rotate(-4.65deg);
        text-align: center;
    }

    .hero-subtitle {
        font-size: 17px;
        margin-top: 0px;
        font-weight: 500;
        line-height: 30px;
        width: 100%;
        padding: 10px;
        color: #ffffff;
    }
    .tentang-subtitle {
        font-size: 20px;
        line-height: 42px;
        width: 90%;
    }

    .konsultasi-subtitle {
        font-size: 20px;
        font-weight: 600;
        line-height: 56px;
        width: 90%;
        color: white;
        text-transform: capitalize;
    }

    .suasana-subtitle {
        font-size: 20px;
        font-weight: 600;
        line-height: 20px;
        width: 95%;
        color: black;
        text-transform: capitalize;
    }

    .suasana-title {
        font-size: 14px;
    }

    .circle-img-left {
        top: -40%;
        left: -40%;
    }

    .circle-img-right {
        bottom: -40%;
        right: -40%;
    }

    .img-robotik {
        width: 100%;
        height: 270px;
        margin-top: 20px;
    }
}
